% TROPFLUX_STARTUP initialisation of matlab/octave environment for TROPFLUX project

%+
%
% .. _tropflux_startup.m:
%
% ==================
% tropflux_startup.m
% ==================
%
% ----------------------------------------------------------------
% initialisation of matlab/octave environment for TROPFLUX project
% ----------------------------------------------------------------
%
% DESCRIPTION
% ===========
%
% Define :
%  - path for matlab/octave commands used in TROPFLUX project
%  - IO directories in global variables
%
% This file can be either run classicaly when current directory
% is ${TROPFLUX}::
%
%  >> tropflux_startup
%
%
% If linked or copy to ./startup.m, it will be automaticaly
% run by matlab at start.
%
% If linked or copy to ${HOME}/.octaverc, it will be automaticaly
% run by octave at start.
%
% SEE ALSO
% ========
%
% :ref:`tropflux_profile.sh`
%
% TODO
% ====
%
% EVOLUTIONS
% ==========
%
% - fplod 20110105T164207Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * creation
%
%
%-
%
%clear all
%
matlab_minimal_version_required = '7.4';
octave_minimal_version_required = '3.0.2';
%
%disp('iii : adding path to TROPFLUX matlab tools')
%
% test if TROPFLUX environment set
global TROPFLUX;
TROPFLUX=getenv('TROPFLUX');
%if ( isempty(TROPFLUX) )
% error('eee : TROPFLUX environment not set');
%else
% disp(['iii : TROPFLUX =' TROPFLUX])
%end
%
% add path
addpath(TROPFLUX);
%
% IO directories
% test if TROPFLUX_ID environment set

global TROPFLUX_ID;
TROPFLUX_ID=getenv('TROPFLUX_ID');
%if ( isempty(TROPFLUX_ID) )
% error('eee : TROPFLUX_ID environment not set');
%end
%
% test if TROPFLUX_OD environment set
global TROPFLUX_OD;
TROPFLUX_OD=getenv('TROPFLUX_OD');
%if ( isempty(TROPFLUX_OD) )
% error('eee : TROPFLUX_OD environment not set');
%end
%
global application;
global application_version;
%
% detect if either octave or matlab running
if exist('matlabpath','builtin')
 application='matlab';
 tmp=ver(application);
 application_version=tmp.Version;
 clear tmp;
 if verLessThan('matlab', matlab_minimal_version_required)
  disp(['matlab_minimal_version_required = ', matlab_minimal_version_required]);
  disp(['application_version =', application_version]);
  warning('www : you have trouble running an older matlab version');
 end
end
if exist('OCTAVE_VERSION','builtin')
 application='octave';
 application_version=version; %% WARNING : do not add () because of matlab 6
end
%
global netcdf_available
%netcdf_file=which('netcdf');
%if (isempty(netcdf_file))
%   netcdf_available=0;
%else
%   netcdf_available=1;
%end
%clear netcdf_file;
%
more on
